> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Create a new webhook subscription to receive event notifications at the specified URL.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/webhooks
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/webhooks:
    post:
      tags:
        - Webhook
      summary: Create
      description: >-
        Create a new webhook subscription to receive event notifications at the
        specified URL.
      operationId: c1.api.webhooks.v1.WebhooksService.Create
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.webhooks.v1.WebhooksServiceCreateRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.webhooks.v1.WebhooksServiceCreateResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Create
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Webhooks.Create(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.WebhooksServiceCreateResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.webhooks.create();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.webhooks.v1.WebhooksServiceCreateRequest:
      description: The WebhooksServiceCreateRequest message.
      properties:
        callbackTimeout:
          format: duration
          readOnly: false
          type: string
        description:
          description: An optional description of the webhook's purpose.
          readOnly: false
          type: string
        displayName:
          description: The human-readable name for the new webhook.
          readOnly: false
          type: string
        url:
          description: >-
            The destination URL that will receive event notification HTTP
            callbacks.
          readOnly: false
          type: string
      required:
        - displayName
        - url
      title: Webhooks Service Create Request
      type: object
      x-speakeasy-name-override: WebhooksServiceCreateRequest
    c1.api.webhooks.v1.WebhooksServiceCreateResponse:
      description: The WebhooksServiceCreateResponse message.
      properties:
        webhook:
          $ref: '#/components/schemas/c1.api.webhooks.v1.Webhook'
      title: Webhooks Service Create Response
      type: object
      x-speakeasy-name-override: WebhooksServiceCreateResponse
    c1.api.webhooks.v1.Webhook:
      description: The Webhook message.
      properties:
        callbackTimeout:
          format: duration
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        description:
          description: An optional description of the webhook's purpose.
          readOnly: false
          type: string
        displayName:
          description: The human-readable name of the webhook.
          readOnly: false
          type: string
        id:
          description: The unique identifier of the webhook.
          readOnly: false
          type: string
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        url:
          description: The destination URL that receives event notification HTTP callbacks.
          readOnly: false
          type: string
      title: Webhook
      type: object
      x-speakeasy-entity: Webhook
      x-speakeasy-name-override: WebhookEndpoint
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````